<!-- <ng-container *ngIf="dataLoaded">
        <hx-entityDocs [selectedChart]="selectedChart" [resultData]="entityData" [callbackJson]="callbackJson"
            [pivot_config]="pivot_config_object">
        </hx-entityDocs>
    </ng-container> -->
    <style>
      /* .customtable th:nth-child(n+2) {
            background-color: navy;
            color: white
        }
        .customtable th {
            width: 25%;
        }
      .customtable {
        background-color: navy;
        color: white;
      }*/
      .mat-form-field {
        width: calc(100% - .5rem);
      }
    </style>
    
    <ng-template #popContent1></ng-template>
    <ng-template #popTitle1><b>Product Affinity Analysis</b></ng-template>
    <ng-template #popContent2 class="test_popover">
    </ng-template>
    <ng-template #popTitle2><b>Campaign Analysis Inputs</b></ng-template>
    <ng-template #popContent3 class="test_popover">
    </ng-template>
    <ng-template #popTitle3><b>Campaign Analysis Results</b></ng-template>
    <div class="col-md-12" style="padding-top:15px;">
      <div class="form-group w-100" style="width:100%;">
        <div> <img src='assets/img/magnifier.svg' style='margin:10px;' /> <span class="head-only"
            style="vertical-align:middle;">{{title}}
            </span></div>
      </div>
    </div>
    <div class="col-md-12 p-0">
      <hr class="hr-border container-m--x mt-3 mb-3">
    </div>
        <div [ngClass]="loadingBgColor" *blockUI="blockUIName; template: elementBlockTemplate">
      <form >
        <div >
          <div class="card-body pb-2" style="padding-top:0px;">
            <div class="row">
              <div class="d-flex justify-content-end align-items-center mb-3 pb-1 arrow" style="padding-top:10.5px;">
                <div  class="py-1 px-2 mx-1 group-label">
                  <label  class="mb-0 label-style pl-0 text-left">From Date </label>
                  <div  class="input-group ngx-data-ui">
                    <input class="form-control p-0 bg-transparent text_default input-box-style border-0" [(ngModel)]="fromdate" 
                         name="dpfromdate"  ngx-mydatepicker [options]="dpOptionsFromDate" #dpfromdate="ngx-mydatepicker" (dateChanged)="formDateChanged($event, 'fromdate')"
                        (click)="dpfromdate.toggleCalendar()"  (calendarToggle)="selected_filter.fromdate=!selected_filter.fromdate"
                        placeholder="choose a date" style="min-height:20px !important;max-height:20px !important;cursor: pointer">
                        <span style="cursor: pointer" (click)="dpfromdate.toggleCalendar()"><i class="fa-lg las la-calendar pt-1"></i></span>
                        <ng-container *ngIf="selected_filter.fromdate && date_filters.length>0 ">
                          <div style="position: relative">
                            <div class="cust_calendar_items left dashboard-fdate p-0" style="left: 338px; top: 12px;" [perfectScrollbar]>
                              <div>
                                <ngb-tabset class="nav-tabs-top" [activeId]="selected_filter.values" (click)="$event.stopPropagation()" [ngClass]="{'hide-tab-header': date_filters[1].range.length == 0}">
                                  <ng-container *ngFor="let datefilter of date_filters;">
                                  <ngb-tab *ngIf="datefilter.range.length>0" class="form-label label-material" [title]="datefilter.display"
                                    id="{{datefilter.values}}">
                                    <ng-template ngbTabContent style="border: none !important;">
                                      <div *ngFor="let option of datefilter.range; let i = index">
                                        <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                          (click)="applyDaysFilter(option, i);dpfromdate.closeCalendar();dptodate.closeCalendar();"
                                          [ngClass]="{'active': selected_filter.range == datefilter.values+i}">{{option.display}}</button>
                                      </div>
                                    </ng-template>
                                  </ngb-tab>
                                  </ng-container>
                                </ngb-tabset>
                              </div>
                            </div>
                          </div>
                        </ng-container>
                      </div></div>
                      <div  class="py-1 px-2 mx-1 group-label">
                          <label  class="mb-0 label-style pl-0 text-left">To Date </label>
                          <div  class="input-group ngx-data-ui">
                            <input  class="form-control p-0 bg-transparent text_default input-box-style border-0" [(ngModel)]="todate" 
                              ngx-mydatepicker name="dptodate"  [options]="dpOptionsToDate"
                                    #dptodate="ngx-mydatepicker"  (calendarToggle)="selected_filter.todate=!selected_filter.todate"
                             (click)="dptodate.toggleCalendar()" (dateChanged)="formDateChanged($event, 'todate')"
                              placeholder="choose a date" style="min-height:20px !important;max-height:20px !important;cursor: pointer">
                              <span  style="cursor: pointer"  (click)="dptodate.toggleCalendar()"><i  class="fa-lg las la-calendar pt-1"> </i></span>
                              <ng-container *ngIf="selected_filter.todate && date_filters.length>0 ">
                                <div style="position: relative">
                                  <div class="cust_calendar_items left dashboard-fdate p-0" style="left: 338px; top: 12px;" [perfectScrollbar]>
                                    <div>
                                      <ngb-tabset class="nav-tabs-top" [activeId]="selected_filter.values" (click)="$event.stopPropagation()" [ngClass]="{'hide-tab-header': date_filters[1].range.length == 0}">
                                        <ng-container *ngFor="let datefilter of date_filters;">
                                        <ngb-tab *ngIf="datefilter.range.length>0" class="form-label label-material" [title]="datefilter.display"
                                          id="{{datefilter.values}}">
                                          <ng-template ngbTabContent style="border: none !important;">
                                            <div *ngFor="let option of datefilter.range; let i = index">
                                              <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                                (click)="applyDaysFilter(option, i);dpfromdate.closeCalendar();dptodate.closeCalendar();"
                                                [ngClass]="{'active': selected_filter.range == datefilter.values+i}">{{option.display}}</button>
                                            </div>
                                          </ng-template>
                                        </ngb-tab>
                                        </ng-container>
                                      </ngb-tabset>
                                    </div>
                                  </div>
                                </div>
                              </ng-container> 
                            </div></div>
                              
                            </div>
    
           <!-- <div class="col-auto">
                <mat-form-field appearance="outline" >
                  <mat-label>From</mat-label>
                  <input matInput [matDatepicker]="fromDate" placeholder="From date" [(ngModel)]="searchByFilters.fromDate"
                    [ngModelOptions]="{standalone: true}" />
                  <mat-datepicker-toggle matSuffix [for]="fromDate"></mat-datepicker-toggle>
                  <mat-datepicker #fromDate></mat-datepicker>
                </mat-form-field>
              </div>
              <div class="col-auto">
                <mat-form-field appearance="outline" >
                  <mat-label>To</mat-label>
                  <input matInput [matDatepicker]="toDate" placeholder="To date" [(ngModel)]="searchByFilters.toDate"
                    [ngModelOptions]="{standalone: true}" />
                  <mat-datepicker-toggle matSuffix [for]="toDate"></mat-datepicker-toggle>
                  <mat-datepicker #toDate></mat-datepicker>
                </mat-form-field>
              </div> -->
            </div>
            <div class="row mb-1 align-items-center" style="margin-top: -20px;">
              <div class="col-auto pl-1" >
                <span class="fw-700 f-16"> Select Store(s)</span>
              </div>
      
              <div class="col-auto d-flex">
                <div class="pl-4 ipad-res-pl-2">
                  <label  class="custom-control custom-radio f-16 fw-700" style="margin-bottom:0px;">
                    <input type="radio" class="mr-1 custom-control-input" id="defaultRadio1" name="createSelectStore" [(ngModel)]="createSelectStore" value="all" >
                    <div class="custom-control-label pt-1" for="defaultRadio1">All</div>
                  </label>
      
                </div>
                <div class="pl-5 pr-3 ipad-res-pl-4 ipad-res-pr-0">
                  <label class="custom-control custom-radio mb-0 f-16 fw-700" (click)="coming_soon()">
                    <input type="radio" class="custom-control-input mr-1" id="defaultRadio2" [(ngModel)]="createSelectStore"
                      name="createSelectStore" value="for" >
                    <div for="defaultRadio2" class="custom-control-label pt-1">For</div>
                  </label>
                </div>
              </div>
              <!-- <div class="f-16" style="padding-top: 10px;" *ngIf="createSelectStore == 'for'">Coming Soon...</div> -->
              <div class="col-auto">
                <!-- <mat-select-autocomplete class="grid-7-11 pt-0 f-14" [placeholder]="'All States'" [options]="test_states"
                  [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                  disabled
                  (selectionChange)="setFilterCriterea($event,'test_state')">
                </mat-select-autocomplete> -->
              </div>
              <div class="col-auto">
                <!-- <mat-select-autocomplete class="grid-7-11 f-14" [placeholder]="'All Regions'" [options]="test_regions"
                  [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2" disabled
                  (selectionChange)="setFilterCriterea($event,'test_region')">
                </mat-select-autocomplete> -->
              </div>
              <div class="col-auto">
                <!-- <mat-select-autocomplete class="grid-7-11 f-14" [placeholder]="'All Stores'"
                [options]="test_stores_static" [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2" disabled
                (selectionChange)="setFilterCriterea($event,'test_store_name')">
                </mat-select-autocomplete> -->
              </div>
            </div>
          
            <div class="row">
              <div class="col-md-12 pl-1">
                <div appearance="outline">
                  <button class="btn btn-md btn-primary f-16 box-shadow-none" mat-raised-button  (click)="callMenuLoad()">Analyze</button>
                </div>
                <!-- <div class="f-14 forecast-reset ml-4 text-primary" (click)="clearSearch()">Reset All</div> -->
              </div>
            </div>
    
    
        </div>
        </div>
        <div class="col-md-12 p-1">
            <hr class="hr-border container-m--x mt-3 mb-3">
          </div>
       
      </form>
    </div>
    
    <ng-template #elementBlockTemplate>
       
        <custom-loader [loaderArr]="loaderArr" *ngIf="loaderArr && loaderArr.length>0"></custom-loader>
        <div class="block-ui-template" *ngIf="!(loaderArr.length>0)">
            <div class="sk-double-bounce sk-primary">
                <div class="sk-child sk-double-bounce1"></div>
                <div class="sk-child sk-double-bounce2"></div>
            </div>
            <span class="loading-text-material">
                <p class="text-center text-white"> {{loadingText}} </p>
            </span>
        </div>
    </ng-template>